> ## Documentation Index
> Fetch the complete documentation index at: https://api.monument.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create lead payment profile

> Creates a payment profile for a lead's initial and future payments.



## OpenAPI

````yaml /openapi/shopping-openapi.json post /shopping/{portfolio}/v1/payment/profile
openapi: 3.0.0
info:
  title: Monument Shopping API
  description: Monument Shopping API
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.prd.monument.io
    description: Production
  - url: https://public-api.stg.monument.io
    description: Staging
security: []
tags:
  - name: Facilities
    description: Facility listing, details, and configuration
  - name: Leads
    description: Lead creation, updates, status, and pre-existing tenant validation
  - name: Shopping Cart
    description: Cart operations and access plans
  - name: Unit Groups
    description: Unit group details and taxes
  - name: Units
    description: Unit and gate access code retrieval
  - name: Payments
    description: Payment profiles and processor information
  - name: Brands
    description: Branding configuration and brand-scoped facilities
  - name: Coverages
    description: Coverage options and private coverage info
  - name: Leases
    description: Lease signing redirects
  - name: Organizations
    description: Portfolio organization information
  - name: Lead Marketing Sources
    description: Marketing source listing
paths:
  /shopping/{portfolio}/v1/payment/profile:
    post:
      tags:
        - Payments
      summary: Create lead payment profile
      description: Creates a payment profile for a lead's initial and future payments.
      operationId: PublicApiPaymentController_postPaymentProfile
      parameters:
        - name: portfolio
          required: true
          in: path
          schema:
            type: string
        - in: header
          required: true
          name: x-api-key
          schema:
            example: monument-2230012-2312321
            description: >-
              Api key required to authenticate your request. Please reach out to
              monument for a key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostPaymentProfileRequestDto'
      responses:
        '201':
          description: >-
            The lead has successfully made a payment profile. Required to
            generate a lease
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostPaymentProfileResponseDto'
components:
  schemas:
    PostPaymentProfileRequestDto:
      type: object
      properties:
        lastFour:
          type: string
        paymentType:
          $ref: '#/components/schemas/ProcessorPaymentType'
        processorToken:
          type: string
        processorAuthTransactionId:
          type: string
        processorTokenId:
          type: string
        billingFirstName:
          type: string
        billingLastName:
          type: string
        billingCity:
          type: string
        billingZip:
          type: string
        billingState:
          type: string
        billingAddressLine1:
          type: string
        billingAddressLine2:
          type: string
        autopayEnabled:
          type: boolean
          description: >-
            Will set this payment method to be used for future bills for this
            unit.
        facilityUuid:
          type: string
        leadUuid:
          type: string
      required:
        - lastFour
        - paymentType
        - processorToken
        - processorAuthTransactionId
        - processorTokenId
        - billingFirstName
        - billingLastName
        - billingCity
        - billingZip
        - billingState
        - autopayEnabled
        - facilityUuid
        - leadUuid
    PostPaymentProfileResponseDto:
      type: object
      properties:
        leadUuid:
          type: string
        leaseSessionUrl:
          type: string
      required:
        - leadUuid
        - leaseSessionUrl
    ProcessorPaymentType:
      type: string
      enum:
        - CREDIT/DEBIT
        - ACH

````